Vector BLF: Vector::BLF::MostDataLost Struct Reference

Vector BLF

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Vector::BLF::MostDataLost Struct Referencefinal

MOST_DATALOST. More...

`#include <MostDataLost.h>`

Inheritance diagram for Vector::BLF::MostDataLost:

## Public Member Functions
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader2
| ObjectHeader2 (const ObjectType objectType)
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint16_t | calculateHeaderSize () const override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
| ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
| ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & | operator= (const ObjectHeaderBase &)=default
| ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & | operator= (ObjectHeaderBase &&)=default
virtual void | read (AbstractFile &is)
virtual void | write (AbstractFile &os)
virtual uint16_t | calculateHeaderSize () const
virtual uint32_t | calculateObjectSize () const

## Public Attributes
uint16_t | channel {}
| application channel
uint16_t | reservedMostDataLost {}
uint32_t | info {}
| info about data loss
uint32_t | lostMsgsCtrl {}
uint32_t | lostMsgsAsync {}
uint64_t | lastGoodTimeStampNs {}
uint64_t | nextGoodTimeStampNs {}
Public Attributes inherited from Vector::BLF::ObjectHeader2
uint32_t | objectFlags {ObjectFlags::TimeOneNans}
| object flags
uint8_t | timeStampStatus {}
| time stamp status
uint8_t | reservedObjectHeader {0}
uint16_t | objectVersion {0}
| object specific version
uint64_t | objectTimeStamp {0}
| object timestamp
uint64_t | originalTimeStamp {0}
| original object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t | signature {ObjectSignature}
| signature (ObjectSignature)
uint16_t | headerSize {}
| sizeof object header
uint16_t | headerVersion {}
| header version (1)
uint32_t | objectSize {}
| object size
ObjectType | objectType {ObjectType::UNKNOWN}
| object type

## Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader2
enum | ObjectFlags : uint32_t { TimeTenMics = 0x00000001 , TimeOneNans = 0x00000002 }
enum | TimeStampStatus : uint8_t { Orig = 0x01 , SwHw = 0x02 , User = 0x10 }

## Detailed Description

MOST_DATALOST.

Indicates loss of data. (Number of lost messages and start and end time stamp of data loss.)

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::MostDataLost::calculateObjectSize | ( |  | ) | const
| overridevirtual

Calculates the objectSize

Returns
  object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ read()

void Vector::BLF::MostDataLost::read | ( | AbstractFile & | is | ) |
| overridevirtual

Read the data of this object

Parameters

  is | input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ write()

void Vector::BLF::MostDataLost::write | ( | AbstractFile & | os | ) |
| overridevirtual

Write the data of this object

Parameters

  os | output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## Member Data Documentation

## ◆ channel

uint16_t Vector::BLF::MostDataLost::channel {}

application channel

Application channel

## ◆ info

uint32_t Vector::BLF::MostDataLost::info {}

info about data loss

Data loss information

- Bit0: 1: data loss on control channel (spy)
- Bit1: 1: data loss on control channel (node)
- Bit2: 1: data loss on asynchronous channel (spy)
- Bit3: 1: data loss on asynchronous channel (node)
- Bit4: 1: data loss on synchronous channel
- Bit5: 1: data loss since driver queue full

## ◆ lastGoodTimeStampNs

uint64_t Vector::BLF::MostDataLost::lastGoodTimeStampNs {}

Absolute time in nano-seconds

## ◆ lostMsgsAsync

uint32_t Vector::BLF::MostDataLost::lostMsgsAsync {}

Number of lost messages on Packet Data Channel channel

## ◆ lostMsgsCtrl

uint32_t Vector::BLF::MostDataLost::lostMsgsCtrl {}

Number of lost messages on Control channel

## ◆ nextGoodTimeStampNs

uint64_t Vector::BLF::MostDataLost::nextGoodTimeStampNs {}

Absolute time in nano-seconds

## ◆ reservedMostDataLost

uint16_t Vector::BLF::MostDataLost::reservedMostDataLost {}

reserved

The documentation for this struct was generated from the following files:

- MostDataLost.h
- MostDataLost.cpp